[Deprecated]: v1.0
post
/ec-codelist-svc/rest/v1.0/codelist/code
Deprecated: Use /v5.0/codelist/code instead. The v5 endpoint supports dynamic study codelists with mode-to-site mappings.
Request
Query Parameters
-
mode(required): string
Required. Study mode used to scope the codelist request. Allowed values are active, test, and training.Example:
test -
studyId(required): string
Required. Study identifier used to scope the codelist request. Use a UUID represented as a 32-character uppercase hexadecimal string.Example:
B1B8327AFAA6412287106192AB5984EF
Supported Media Types
- application/json
Root Schema : CodeListRequestV1.0
Type:
objectTitle:
CodeListRequestV1.0Codelist request payload containing the codelist definition and values.
Show Source
-
code: object
CodeV1
Codelist definition.
-
values: array
values
Codelist values.
Nested Schema : CodeV1
Type:
objectCodelist definition.
Show Source
-
codeLevel: string
Codelist code level.Example:
SYSTEM -
codeName: string
Codelist code name.Example:
AE_SEVERITY -
codeType: string
Codelist code type.Example:
String -
comment: string
Comment.Example:
Updated description -
description: string
Codelist description.Example:
Severity of adverse event. -
id: string
(uuid)
Unique identifier.
-
objectVersionNumber: number
Object version number.Example:
1 -
operationType: string
Operation type.Example:
CREATED -
optlock: string
(date-time)
Optimistic lock timestamp.Example:
2026-03-05T12:26:01.086Z -
parCodeName: string
Parent codelist code name.Example:
AE -
reason: string
Reason for change.Example:
Updating codelist -
softwareVersionNumber: number
Software version number.Example:
1 -
userId: string
(uuid)
User unique identifier.
-
versionEnd: string
(date-time)
Version end timestamp.Example:
3099-12-31T00:00:00Z -
versionStart: string
(date-time)
Version start timestamp.Example:
2026-03-05T06:56:01.013Z
Example:
{
"codeName":"AE_SEVERITY",
"codeType":"SYSTEM",
"codeLevel":"SYSTEM",
"description":"Severity of adverse event."
}Nested Schema : values
Type:
arrayCodelist values.
Show Source
-
Array of:
object CodeValueV1
Codelist tag values.
Example:
[
{
"codeValue":"MILD",
"codeLabel":"Mild",
"sequence":1,
"locale":"en"
}
]Nested Schema : CodeValueV1
Type:
objectCodelist tag values.
Show Source
-
code: string
Codelist value code.Example:
MILD -
codeId: string
(uuid)
Parent codelist unique identifier.
-
codeLabel: string
Codelist value label.Example:
Mild -
codeValue: string
Codelist value.Example:
MILD -
comment: string
Comment.Example:
Updated description -
id: string
(uuid)
Unique identifier.
-
locale: string
Locale.Example:
en-US -
objectVersionNumber: number
Object version number.Example:
1 -
operationType: string
Operation type.Example:
CREATED -
optLock: string
(date-time)
-
reason: string
Reason for change.Example:
Updating codelist value -
sequence: number
Display sequence.Example:
1 -
softwareVersionNumber: number
Software version number.Example:
1 -
userId: string
(uuid)
User unique identifier.
-
versionEnd: string
(date-time)
Version end timestamp.Example:
3099-12-31T00:00:00Z -
versionStart: string
(date-time)
Version start timestamp.Example:
2026-03-05T06:56:01.013Z
Example:
[
{
"id":"D1D8327AFAA6412287106192AB5984EF",
"tag":"safety"
}
]Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Success
Root Schema : BaseCodeListDtoV1.0
Type:
objectTitle:
BaseCodeListDtoV1.0Codelist response payload containing the codelist definition and values.
Show Source
-
code: object
code
Codelist definition.
-
values: array
values
Codelist values.
Nested Schema : code
Type:
objectCodelist definition.
Example:
{
"id":"D1D8327AFAA6412287106192AB5984EF",
"codeName":"AE_SEVERITY",
"codeType":"String",
"codeLevel":"SYSTEM"
}Nested Schema : values
Type:
arrayCodelist values.
Show Source
-
Array of:
object items
Codelist values.
Example:
[
{
"id":"56B7D39029424986ADC86DC4B976DD5E",
"codeValue":"MILD",
"codeLabel":"Mild",
"sequence":1,
"locale":"en-US"
}
]Nested Schema : items
Type:
objectCodelist values.
Example:
[
{
"id":"56B7D39029424986ADC86DC4B976DD5E",
"codeValue":"MILD",
"codeLabel":"Mild",
"sequence":1,
"locale":"en-US"
}
]Examples
400 Response
'Missing required code definition', 'Missing required values definition','Missing required field (codeName)','Missing required field (codeType)','Duplicate code name', 'Internal server error'
Root Schema : CodeListResponseV1.0
Type:
objectTitle:
CodeListResponseV1.0Standard codelist service response envelope.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
Response result.
-
status: string
Response status.Example:
success
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectResponse result.
Example:
{
}Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}Examples
500 Response
Internal server error
Root Schema : CodeListResponseV1.0
Type:
objectTitle:
CodeListResponseV1.0Standard codelist service response envelope.
Show Source
-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
Response result.
-
status: string
Response status.Example:
success
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectResponse result.
Example:
{
}Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}Examples